| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__BgSubnetId Struct Reference
Business Group Subnet

Business Group Subnet Identifier fields. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__BGName | BgName
| Business Group to which the subnet belongs. More...
char * | BOName
| Branch Office to which the subnet belongs. More...
unsp__BGDeptName | EmergencyBGDeptName
| The name of the Emergency BG Department associated with the subnet. More...
char * | SubnetOrIp
| IP subnet that represents the subnet or individual IP address. More...
char * | SubnetMask
| IP address that represents the subnet mask. More...
char * | IpV6Address
| IPv6 address that represents the subnet or individual IPv6 address. More...
int * | IpV6PrefixLen
| IPv6 mask. More...
char * | LocationDomain
| Location Domain Name for the subnet. More...

## Detailed Description

Business Group Subnet Identifier fields.

## Member Data Documentation

## ◆ BgName

unsp__BGName unsp__BgSubnetId::BgName

Business Group to which the subnet belongs.

required: true

See also
  unsp__BGName

## ◆ BOName

char* unsp__BgSubnetId::BOName

Branch Office to which the subnet belongs.

required: false
default value[range]: NA [1..30]

## ◆ EmergencyBGDeptName

unsp__BGDeptName unsp__BgSubnetId::EmergencyBGDeptName

The name of the Emergency BG Department associated with the subnet.

required: false

See also
  unsp__BGDeptName

## ◆ IpV6Address

char* unsp__BgSubnetId::IpV6Address

IPv6 address that represents the subnet or individual IPv6 address.

required: false
default value[range]: NA [0..20]

## ◆ IpV6PrefixLen

int* unsp__BgSubnetId::IpV6PrefixLen

IPv6 mask.

required: false
default value[range]: NA [0..20]

## ◆ LocationDomain

char* unsp__BgSubnetId::LocationDomain

Location Domain Name for the subnet.

required: false
default value[range]: NA [0..64]

## ◆ SubnetMask

char* unsp__BgSubnetId::SubnetMask

IP address that represents the subnet mask.

required: true
default value[range]: NA [1..45]

## ◆ SubnetOrIp

char* unsp__BgSubnetId::SubnetOrIp

IP subnet that represents the subnet or individual IP address.

required: true
default value[range]: NA [1..45]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h